import { CSSProperties } from 'react';
import { DataType } from '@jsonpath-tools/jsonpath';
import { JSONValue } from '@jsonpath-tools/jsonpath';
import { JSX } from 'react/jsx-runtime';
import { QueryOptions } from '@jsonpath-tools/jsonpath';

/**
 * JSONPath editor compliant with ([RFC 9535](https://datatracker.ietf.org/doc/rfc9535/)).
 */
export declare function JSONPathEditor({ value, queryOptions, queryArgument, queryArgumentType, readOnly, style, onValueChange }: {
    /**
     * Query text.
     */
    value: string;
    /**
     * Query options.
     */
    queryOptions?: QueryOptions;
    /**
     * Query argument.
     */
    queryArgument?: JSONValue | undefined;
    /**
     * Query argument type.
     */
    queryArgumentType?: DataType;
    /**
     * Whether the editor should be read-only.
     */
    readOnly?: boolean;
    /**
     * Inline CSS style.
     */
    style?: CSSProperties;
    /**
     * Called when the query text changes.
     * @param value New query text.
     */
    onValueChange: (value: string) => void;
}): JSX.Element;

export { }
